WordPress.org

Forums

Bol.com Partner Program Plugin
[resolved] Same error as with version 1.0 (11 posts)

  1. vismaterialen
    Member
    Posted 2 years ago #

    Plugin could not be activated because it triggered a fatal error.
    Parse error: syntax error, unexpected T_STRING in /home/p20467/domains/vismaterialen.nl/public_html/blog/wp-content/plugins/bolcom-partnerprogramma-wordpress-plugin/bolcom-partnerprogramma-wordpress-plugin.php on line 39

    PHP version 5.2.13

    So no cigar...

    http://wordpress.org/extend/plugins/bolcom-partnerprogramma-wordpress-plugin/

  2. vismaterialen
    Member
    Posted 2 years ago #

    After having my host migrate my site to a PHP 5.3.11 running server, the plugin works in itself. Although the old problem of the plugin making some WordPress functions not work has resurfaced; I cannot change the status of a message from private to public for instance when the plugin is activated. Will try to upgrade WP to 3.4.1 but getting a bit weary from these flaws...

  3. Netvlies
    Member
    Plugin Author

    Posted 2 years ago #

    Hi there,

    I tested it on a CentOS 6.5 server with php 5.3.3. Unfortunately, I was unable to reproduce the error. Could you give some more details on the platform? Everything is helpfull: OS, apache version, php version, php configuration, other wordpress plugins installed.

    It would also help if I had a detailed instruction of what you did to encounter this issue.

    Thank you.

  4. ventheman
    Member
    Posted 2 years ago #

    Hi, I have the same error:
    Parse error: syntax error, unexpected T_STRING in /var/www/vhosts/domain.nl/httpdocs/wp-content/plugins/bolcom-partnerprogramma-wordpress-plugin/bolcom-partnerprogramma-wordpress-plugin.php on line 13

    Some stats:
    Apache 20051115
    PHP Version 5.2.4-2
    MYSQL Version 5.0.51a
    Ubuntu 5.25
    Wordpress 3.4.1 (NL)

    Other plugins:
    Wordpress SEO from Yoast
    Google Analytics for wordpress by Yoast

    Could you solve my problem?

  5. smokemaster
    Member
    Posted 2 years ago #

    Hi! Same error here since update to 1.02. and possibly 1.01 also.

    http://www.smokemaster.nl

    As soon as I try tot activate the installed plugin I get this error.

    'Parse error: syntax error, unexpected T_STRING in /www/htdocs/smokemas/wp-content/plugins/bolcom-partnerprogramma-wordpress-plugin/bolcom-partnerprogramma-wordpress-plugin.php on line 13'

    Version 1.0 worked fine until now, besides the usual errors where I couldn't upload pictures to posts without first disabling the Bol.com plugin.

    WordPress : 3.4.1.
    Theme : snow summit
    Plugin 1: buienradar 0.4.2
    Plugin 2: Akismet 2.5.6
    Plugin 3: Hrecipe 0.6.1
    Plugin 4: banner 1.1.0 (by alfredo Cubitos)

    Reinstalling (and clearing the Mysql-database) didnt do the trick.

    Thnx in advance for your help,

    Smokemaster

  6. ernohannink
    Member
    Posted 2 years ago #

    Zelfde foutmelding:
    WP 3.4.2
    Bol 1.0.2
    PHP version 5.2.9
    MySQL version 5.0.95

    Parse error: syntax error, unexpected T_STRING in /home/brigit86/public_html/wp-content/plugins/bolcom-partnerprogramma-wordpress-plugin/bolcom-partnerprogramma-wordpress-plugin.php on line 13

  7. nynkevalk
    Member
    Posted 2 years ago #

    Same problem for me.
    Is there anyone answering this?

  8. Shlatman
    Member
    Posted 2 years ago #

    Same here:

    Parse error: syntax error, unexpected T_STRING in /var/www/html/wp-content/plugins/bolcom-partnerprogramma-wordpress-plugin/bolcom-partnerprogramma-wordpress-plugin.php on line 13

    Anyone out there who can help?

    Best,

    Shlatman

  9. OnlineGalerij
    Member
    Posted 2 years ago #

    Same problem here...

  10. nynkevalk
    Member
    Posted 2 years ago #

    Ik heb het maar op een andere manier opgelost, na contact met bol.com. Hun advies was:

    'Het is natuurlijk ook mogelijk om HTML-links of platte tekstlinks op je website te plaatsen. Hiervoor wil ik je graag verwijzen naar de “Handleiding URL structuur”, deze is hier te vinden: https://www.bol.com/nl/upload/partnerprogramma/Handleiding_URL_structuur.pdf
    Het aanmaken van tekstlinks kan ook gemakkelijk in het bol.com Partnerprogramma onder de tab “Promotiemateriaal” en vervolgens “Tekstlink aanmaken”.'

  11. Netvlies
    Member
    Plugin Author

    Posted 2 years ago #

    The original error was caused by a version less than the required 5.3 version of PHP. The follow ups are caused by a configuration on several providers concerning php short tags. There will be an update this week which prevents the error in the follow up.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Bol.com Partner Program Plugin
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic

Tags

No tags yet.